Skip to main content
GET
/
v1
/
subscriptions
TypeScript SDK
import { Solifyn } from 'solifyn';

const solifyn = new Solifyn({ apiKey: 'your_private_api_key_here' });

// List active/paused subscriptions
const subscriptions = await solifyn.subscriptions.list({
  customerId: 'cust_019e56a1...',     // Optional customer filter
  status: 'active'                    // Optional status filter
});
console.log('Subscriptions:', subscriptions);
{
  "items": [
    {
      "id": "mem_123",
      "status": "active",
      "created_at": "2025-01-01T12:00:00.000Z",
      "joined_at": "2025-01-01T12:00:00.000Z",
      "updated_at": "2025-01-01T12:00:00.000Z",
      "manage_url": "https://example.com/billing/manage/mber_123",
      "member": {
        "id": "mber_123"
      },
      "user": {
        "id": "user_123",
        "username": "johndoe",
        "name": "John Doe",
        "email": "john.doe@example.com"
      },
      "renewal_period_start": null,
      "renewal_period_end": null,
      "cancel_at_period_end": false,
      "cancel_option": null,
      "cancellation_reason": null,
      "canceled_at": null,
      "currency": "usd",
      "company": {
        "id": "biz_123",
        "title": "Company Name"
      },
      "plan": {
        "id": "plan_123",
        "metadata": {}
      },
      "promo_code": null,
      "product": {
        "id": "prod_123",
        "title": "Product Name",
        "metadata": {}
      },
      "license_key": null,
      "metadata": {
        "is_usage_based": "false"
      },
      "payment_collection_paused": false,
      "checkout_configuration_id": "ch_123",
      "price": 99,
      "type": "renewal",
      "customerId": "cust_123"
    }
  ],
  "total_count": 1
}

Authorizations

Authorization
string
header
required

Authenticate requests using your standard bearer API key (e.g. YOUR_API_KEY).

Query Parameters

customerId
string

Filter subscriptions by customer ID.

Response

200 - application/json

Subscriptions retrieved successfully.

items
object[]
required

List of customer subscriptions

total_count
number
required

Total count of subscriptions matching the filters

Example:

1